import { registerExtension } from 'vscode/extensions';

var manifest = {name:"sql",displayName:"%displayName%",description:"%description%",version:"1.0.0",publisher:"vscode",license:"MIT",engines:{vscode:"*"},scripts:{"update-grammar":"node ./build/update-grammar.mjs"},categories:["Programming Languages"],contributes:{languages:[{id:"sql",extensions:[".sql",".dsql"],aliases:["SQL"],configuration:"./language-configuration.json"}],grammars:[{language:"sql",scopeName:"source.sql",path:"./syntaxes/sql.tmLanguage.json"}]},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"},main:undefined};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true});
registerFileUrl('./syntaxes/sql.tmLanguage.json', new URL('./resources/sql.tmLanguage.json', import.meta.url).toString(), 'application/json');
registerFileUrl('./language-configuration.json', new URL('./resources/language-configuration.json', import.meta.url).toString(), 'application/json');
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), 'application/json');
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), 'application/json');

export { whenReady };
